# Tasks ## Computes feedback for an existing task. - [POST /tasks/{taskId}/feedback/compute](https://developers.taskbase.com/apis/specification/tasks/computefeedbackbytaskid.md) ## Creates or updates a task - [POST /tenants/{tenantId}/tasks](https://developers.taskbase.com/apis/specification/tasks/upserttask.md): Creates a new task if the task.id has not been seen before, or updates an existing task if the task.id already exists. The task.id should be the identifier from your system. This endpoint is designed for workflows where tasks are created separately from answer submission. If you need to submit an answer and get feedback, use the /tasks/{taskId}/feedback/compute endpoint instead. ## Deletes a task by its ID - [DELETE /tenants/{tenantId}/tasks/{taskId}](https://developers.taskbase.com/apis/specification/tasks/deletetask.md)